> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Return Deep Link

> Generate a deep link for customers to initiate returns



## OpenAPI

````yaml POST /v2/deep-links
openapi: 3.1.0
info:
  title: Frate Returns API
  version: 0.1.0
servers:
  - url: /api
security: []
paths:
  /v2/deep-links:
    post:
      summary: Deep Links
      description: Public API deep links
      operationId: deep_links_v2_deep_links_post
      parameters:
        - name: x-frate-api-token
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Frate-Api-Token
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeepLinkCreateSerializer'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeepLinkSerializer'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeepLinkCreateSerializer:
      properties:
        order_name:
          type: string
          title: Order Name
        zip_code_or_email:
          type: string
          title: Zip Code Or Email
        target:
          anyOf:
            - $ref: '#/components/schemas/DeepLinkTargetEnum'
            - type: 'null'
      type: object
      required:
        - order_name
        - zip_code_or_email
      title: DeepLinkCreate
      description: v2 `DeepLinkCreate` Serializer
    DeepLinkSerializer:
      properties:
        url:
          type: string
          title: Url
      type: object
      required:
        - url
      title: DeepLink
      description: v2 `DeepLink` Serializer
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DeepLinkTargetEnum:
      type: string
      enum:
        - RETURN
        - RETURN_STATUS
        - WARRANTY
        - WARRANTY_STATUS
      title: DeepLinkTargetEnum
      description: DeepLink target.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````